package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.MemberRankOrganizationFeeMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MemberRankOrganizationFeeMapperDao extends BaseDAO<Integer, MemberRankOrganizationFeeMapper> {


    MemberRankOrganizationFeeMapper findByOrganIdAndRankId(@Param("organId") Integer organId, @Param("memberRankSettingId") Integer memberRankSettingId);

    List<MemberRankOrganizationFeeMapper> queryByOrganId(@Param("organId") Integer organId);

    List<MemberRankOrganizationFeeMapper> queryByOrganIds(@Param("orgIds") List<Integer> orgIds);

    //取交集
    List<Integer> intersectOrganId(@Param("organIdList") List<Integer> organIdList, @Param("num") Integer num);
}