package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.wrapper.MemberRankSettingWrapper;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(member_rank_setting):
 */
@Data
public class MemberRankSetting {

	/**  */
	private Integer operator;
	
	/**  */
	private String operatorName;

	/**  */
	private Integer id;

	/**  */
	private String name;

    private Integer parentId;
    private Boolean delFlag;

	/**  */
	private String intro;
	
	/**  */
	private String icon;

	/** 试用会员图片 */
	private String experienceIcon;
	
	private Boolean isDefault;

	/**  */
	private List<Integer> memberPrivilegesItemIdList;

	private List<MemberRankSetting> children;
	
	private List<MemberPrivilegesItem> memberPrivilegesItemList;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private List<MemberRankPrivileges> memberRankPrivileges;
	
	private MemberFeeSetting memberFeeSetting;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
