package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(tenant_apply):
 */
@Data
public class TenantApply {

	/**  */
	private Long id;
	
	/** 机构名称 */
	private String name;
	
	/** 城市 */
	private String city;
	
	/** 联系人 */
	private String linkman;
	
	/** 手机号码 */
	private String mobileNo;
	
	/** 推荐人姓名 */
	private String nameOfReferrer;
	
	private Integer studentNumLevel;
	
	/**  */
	private java.util.Date createTime;
	
	/** 回访时间 */
	private java.util.Date callBackTime;
	
	/** 回访记录 */
	private String callBackLog;

    /**
     * 回访人/沟通人
     */
    private String callBackPeople;

	@ApiModelProperty(value = "删除标记")
	private Boolean delFlag;
    /**
     * 推荐人/非必填
     */
    private String recommender;

	private String smsCode;

    @Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
