package com.ym.mec.biz.dal.dto;


import com.baomidou.mybatisplus.annotation.TableField;
import com.ym.mec.biz.dal.enums.HardLevelEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *
 * @author zx
 * @since 2023-04-03 18:20:36
 */
@Data
public class StudentLessonExaminationDetailDto1 {

    @ApiModelProperty(value = "曲谱名称")
    private String musicScoreName;

    @ApiModelProperty(value = "练习最高分数")
    private Integer trainingScore;

    @ApiModelProperty(value = "达标分数")
    private Integer standardScore;

    @ApiModelProperty(value = "实际均摊得分")
    private Integer actualAvgScore;

    @ApiModelProperty(value = "均摊总分")
    private Integer avgScore;

    @ApiModelProperty(value = "评测难度")
    private HardLevelEnum heardLevel;

    @ApiModelProperty(value = "训练说明")
    private String memo;

    @ApiModelProperty("作业类型,MUSIC_SCORE:曲目评测,DESCRIPTION：描述")
    private String homeworkType;

    @ApiModelProperty("作业描述")
    private String desc;

    @ApiModelProperty("上传文件JSON")
    private String fileJsons;


    @ApiModelProperty("上传文件JSON")
    private List<CourseHomeworkWrapper.FileJson> fileJson;
}

