package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StudentSignQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "开始时间",required = false)
    private String startTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private String endTime;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseScheduleName;

    @ApiModelProperty(value = "学生名",required = false)
    private String userName;

    @ApiModelProperty(value = "签到状态",required = false)
    private String signStatus;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "班级编号")
    private Integer classGroupId;
}
