package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.entity.MemberRankCategoryMapper;

import java.util.List;

/**
 * 会员分类权限表
 * 2024-10-22 14:51:51
 */
public interface MemberRankCategoryMapperService extends IService<MemberRankCategoryMapper>  {

    void batchInsert(Integer memberRankSettingId, List<Integer> memberCategoryIdList);

    List<MemberRankCategoryMapper> getByMemberRankId(List<Integer> memberRankSettingId);

    void deleteByRankSettingId(Integer memberRankSettingId);
}